Yosemite b5 does not support Java 1.6

So anything depending on it, like AppCode, fails to launch. Editing the Info.plist to:

      <key>JVMVersion</key>
      <string>1.7*</string>


gives a Console message
2014-08-05 01:11:06.246 appcode[1970]: Cannot load JVM bundle: Error Domain=NSCocoaErrorDomain Code=4 "The bundle “Java SE 7” couldn’t be loaded because its executable couldn’t be located." UserInfo=0x608000067d80 {NSLocalizedFailureReason=The bundle’s executable couldn’t be located., NSLocalizedRecoverySuggestion=Try reinstalling the bundle., NSBundlePath=/Library/Java/JavaVirtualMachines/jdk1.7.0_67.jdk, NSLocalizedDescription=The bundle “Java SE 7” couldn’t be loaded because its executable couldn’t be located.}

1 comment
Comment actions Permalink

Mark,

Could you check the branch in the forum? Seems you have similar problem.

Regards,
-uta

0

Please sign in to leave a comment.